Bug 249903 - [NEW PORT] sysutils/terraform-docs: Generate documentation from Terraform modules
Summary: [NEW PORT] sysutils/terraform-docs: Generate documentation from Terraform mod...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/terraform-docs/ter...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-26 04:07 UTC by Gabriel Dutra
Modified: 2020-10-02 21:29 UTC (History)
1 user (show)

See Also:
0xdutra: maintainer-feedback+


Attachments
terraform-docs shar file. (2.41 KB, application/x-shar)
2020-09-26 04:07 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2020-09-26 04:07:24 UTC
Created attachment 218306 [details]
terraform-docs shar file.

* portlint ok

Tested and running correctly on

FreeBSD CURRENT amd64
FreeBSD CURRENT i386

FreeBSD 12.1-RELEASE amd64
FreeBSD 12.1-RELEASE i386

FreeBSD 11.3-RELEASE amd64
FreeBSD 11.3-RELEASE i386

Poudriere Log
https://poudriere.bs2.com.br/poudriere/data/11-i386-head/2020-09-26_00h57m13s/logs/terraform-docs-0.10.0.log
Comment 1 Gabriel Dutra 2020-09-28 12:50:13 UTC
Poudriere log

all architectures

https://poudriere.bs2.com.br/poudriere/data/latest-per-pkg/terraform-docs/0.10.0/
Comment 2 commit-hook freebsd_committer 2020-10-02 21:27:36 UTC
A commit references this bug:

Author: dbaio
Date: Fri Oct  2 21:26:38 UTC 2020
New revision: 551233
URL: https://svnweb.freebsd.org/changeset/ports/551233

Log:
  Add sysutils/terraform-docs: Generate documentation from Terraform modules

  A utility to generate documentation from Terraform modules in various output
  formats.

    terraform-docs asciidoc ./my-terraform-module          # asciidoc table
    terraform-docs asciidoc table ./my-terraform-module    # asciidoc table
    terraform-docs asciidoc document ./my-terraform-module # asciidoc document
    terraform-docs json ./my-terraform-module              # json
    terraform-docs markdown ./my-terraform-module          # markdown table
    terraform-docs markdown table ./my-terraform-module    # markdown table
    terraform-docs markdown document ./my-terraform-module # markdown document
    terraform-docs pretty ./my-terraform-module            # colorized pretty
    terraform-docs tfvars hcl ./my-terraform-module        # hcl format of
                                                             terraform.tfvars
    terraform-docs tfvars json ./my-terraform-module       # json format of
                                                             terraform.tfvars
    terraform-docs toml ./my-terraform-module              # toml
    terraform-docs xml ./my-terraform-module               # xml
    terraform-docs yaml ./my-terraform-module              # yaml

  WWW: https://github.com/terraform-docs/terraform-docs

  PR:		249903
  Submitted by:	Gabriel Dutra <0xdutra@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/terraform-docs/
  head/sysutils/terraform-docs/Makefile
  head/sysutils/terraform-docs/distinfo
  head/sysutils/terraform-docs/pkg-descr
Comment 3 Danilo G. Baio freebsd_committer 2020-10-02 21:29:47 UTC
Committed, thanks Gabriel!
I've only added more info to the pkg-descr.
Regards.